
import { JyxcAppInstall  } from './jyxcapp_request.js'
import { nbAppInstall  } from 'gcloud-nb-app/src/nbapp_request.js'

const components = [
];

const install = function(Vue,opts) {

  components.forEach(component => {
    Vue.component(component.name, component);
  });
   nbAppInstall(opts);
   JyxcAppInstall(opts);
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  version: '0.1.0',
  install,
  ...components
};