
//用户服务
const { XccsPromiseClient } = require('./jyxcapp/xccs_rpc_grpc_web_pb.js');
const { DictPromiseClient } = require('./dict/dict_rpc_grpc_web_pb.js');

var JyxcAppPromiseClient =null;
var dictClient =null;

const JyxcAppInstall  = function(config) {
    let baseUrl = config.dictBaseUrl || config.baseUrl;
    let baseCredentials= config.dictBaseCredentials || config.baseCredentials;
    let baseOpts = config.dictBaseOpts || config.baseOpts;

    JyxcAppPromiseClient = new XccsPromiseClient(baseUrl,baseCredentials, baseOpts);
	dictClient = new DictPromiseClient(baseUrl,baseCredentials, baseOpts);
    return {JyxcAppPromiseClient, dictClient};
};

export {JyxcAppInstall ,JyxcAppPromiseClient, dictClient};